Page MenuHomePhabricator

Add the file hash value (sha1) to the action=info page for files uploaded in MediaWiki
Closed, ResolvedPublic

Description

It would be nice if img_sha1 was displayed as a hexadecimal string (same as [[ https://en.wikipedia.org/wiki/Sha1sum | sha1sum ]]) on the information page for files uploaded in MediaWiki.

That way, users could verify their file is the same as the file that they uploaded.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2017, 5:26 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptNov 29 2017, 5:36 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Tgr added a subscriber: Tgr.Nov 29 2017, 9:31 PM

Could be a Google-Code-in-2017 task probably.

Framawiki moved this task from Proposed tasks to Missing mentors on the Google-Code-in-2017 board.
Framawiki added a subscriber: Framawiki.
Aklapper renamed this task from Add file hash to action=info to Add the file hash value (sha1) to the action=info page for files uploaded in MediaWiki.Dec 6 2017, 5:26 PM
Aklapper triaged this task as Low priority.
Aklapper updated the task description. (Show Details)
Ebe123 added a subscriber: Ebe123.Dec 28 2017, 3:54 PM

I'd be willing to mentor this task.

RazeSoldier added a comment.EditedDec 29 2017, 4:50 AM

I have a question.
Get img_sha1 value from the database? Or, calculate sha1 when visiting the image info page.

Get img_sha1 value from the database? Or, calculate sha1 when visiting the image info page.

Get img_sha1 value from the database... when visiting the image info page.

Dispenser updated the task description. (Show Details)Dec 29 2017, 11:36 AM

你是GCI的学生吗?If so, please register at https://codein.withgoogle.com/ . 谢谢!

https://gerrit.wikimedia.org/r/#/c/400695/ exists so I'm adding Patch-For-Review.
I'm also removing the Google-Code-in-2017 tag as this task was not claimed on the GCI website.)

你是GCI的学生吗?If so, please register at https://codein.withgoogle.com/ . 谢谢!

No, I am not a GCI student. I am just an ordinary student.

Change 400695 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Display the file sha1 value in the file info page

https://gerrit.wikimedia.org/r/400695

没关系。Removed it from GCI.

RazeSoldier added a comment.EditedJan 3 2018, 2:39 AM

The change need code-review. :)

Change 400695 merged by jenkins-bot:
[mediawiki/core@master] Display the file sha1 value in the file info page

https://gerrit.wikimedia.org/r/400695

RazeSoldier closed this task as Resolved.Jan 3 2018, 12:51 PM
RazeSoldier removed a project: Patch-For-Review.

Change 404915 had a related patch set uploaded (by 星耀晨曦; owner: 星耀晨曦):
[mediawiki/core@master] Diplay the file sha1 value in the file info page

https://gerrit.wikimedia.org/r/404915

Change 404915 merged by jenkins-bot:
[mediawiki/core@master] Follow-up 5aea96df: Add release notes for File SHA1 display

https://gerrit.wikimedia.org/r/404915

Dispenser reopened this task as Open.Jan 25 2018, 2:39 AM

@RazeSoldier has done nice work with the patch, but it should be in hexadecimal to be consistent with the API (and every sha1sum tool).

Change 406154 had a related patch set uploaded (by 星耀晨曦; owner: RazeSoldier):
[mediawiki/core@master] Convert the sha1 value from base-36 to base-16

https://gerrit.wikimedia.org/r/406154

RazeSoldier moved this task from Backlog to Doing on the good first task board.Jan 25 2018, 8:22 AM

Change 406154 merged by jenkins-bot:
[mediawiki/core@master] Convert the sha1 value from base-36 to base-16

https://gerrit.wikimedia.org/r/406154

RazeSoldier closed this task as Resolved.Jan 26 2018, 8:26 AM
RazeSoldier removed a project: Patch-For-Review.

The info page for File pages now displays the file's base-16 SHA1 hash value in the table of basic information.

Johan moved this task from To Triage to Archive on the User-notice board.Jan 31 2018, 11:56 PM
Johan moved this task from Archive to In current Tech/News draft on the User-notice board.